<?php    
    class PerfilVicidial{
        private $leadId;
        private $estado;
        private $lista;        
        private $clave;
        private $nombre;
        private $apellidos;
        private $correo;
        private $direccion;
        private $cp;
        private $telefono1;
        private $telefono2;
        private $telefono3;
        private $sourceId;
        public function __construct(?int $leadId, string $estado, Lista $lista, string $clave, string $nombre, string $apellidos, string $correo, string $direccion, string $cp, string $telefono1, string $telefono2, string $telefono3, string $sourceId){
            $this->leadId = $leadId;
            $this->estado = $estado;
            $this->lista = $lista;
            $this->clave = $clave;
            $this->nombre = $nombre;
            $this->apellidos = $apellidos;
            $this->correo = $correo;
            $this->direccion = $direccion;
            $this->cp = $cp;            
            $this->telefono1 = $telefono1;
            $this->telefono2 = $telefono2;
            $this->telefono3 = $telefono3;
            $this->sourceId = $sourceId;
        }
        public function getLeadId():?int{
            return $this->leadId;
        }
        public function setLeadId(int $leadId):void{
            $this->leadId = $leadId;            
        }
        public function getEstado():string{
            return $this->estado;
        }
        public function setEstado(string $estado):void{
            $this->estado = $estado;            
        }
        public function getLista():Lista{
            return $this->lista;
        }
        public function setLista(Lista $lista):void{
            $this->lista = $lista;           
        }
        public function getClave():string{
            return $this->clave;
        }
        public function setClave(string $clave):void{
            $this->clave = $clave;
        }
        public function getNombre():string{
            return $this->nombre;
        }
        public function setNombre(string $nombre):void{
            $this->nombre = $nombre;
        }
        public function getApellidos():string{
            return $this->apellidos;
        }
        public function setApellidos(string $apellidos):void{
            $this->apellidos = $apellidos;
        }
        public function getCorreo():string{
            return $this->correo;
        }
        public function setCorreo(string $correo):void{
            $this->correo = $correo;
        }
        public function getDireccion():string{
            return $this->direccion;
        }
        public function setDireccion(string $direccion):void{
            $this->direccion = $direccion;
        }
        public function getCP():string{
            return $this->cp;    
        }
        public function setCP(string $cp):void{
            $this->cp = $cp;
        }
        public function getTelefono1():string{
            return $this->telefono1;
        }
        public function setTelefono1(string $telefono1):void{
            $this->telefono1 = $telefono1;
        }
        public function getTelefono2():string{
            return $this->telefono2;
        }
        public function setTelefono2(string $telefono2):void{
            $this->telefono1 = $telefono2;
        }
        public function getTelefono3():string{
            return $this->telefono3;
        }
        public function setTelefono3(string $telefono3):void{
            $this->telefono1 = $telefono3;
        }
        public function getSourceId():string{
            return $this->sourceId;
        }
        public function setSourceId(string $sourceId):void{
            $this->sourceId = $sourceId;
        }
        public function toJSON():array{
            $ret = array();
            $ret["LeadId"] = $this->leadId;
            $ret["Lista"] = $this->lista->toJSON();
            $ret["Clave"] = $this->clave;
            $ret["Nombre"] = $this->nombre;
            $ret["Apellidos"] = $this->apellidos;
            $ret["Correo"] = $this->correo;
            $ret["Direccion"] = $this->direccion;
            $ret["CP"] = $this->cp;
            $ret["Telefono1"] = $this->telefono1;
            $ret["Telefono2"] = $this->telefono2;
            $ret["Telefono3"] = $this->telefono3;    
            $ret["SourceId"] = $this->sourceId;       
            return $ret;
        }
    }    
?>
